# Source code for azure.mgmt.web.models.status_codes_based_trigger

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class StatusCodesBasedTrigger(Model):
        """StatusCodeBasedTrigger.

        :param status: HTTP status code
        :type status: int
        :param sub_status: SubStatus
        :type sub_status: int
        :param win32_status: Win32 error code
        :type win32_status: int
        :param count: Count
        :type count: int
        :param time_interval: TimeInterval
        :type time_interval: str
        """

        _attribute_map = {
            'status': {'key': 'status', 'type': 'int'},
            'sub_status': {'key': 'subStatus', 'type': 'int'},
            'win32_status': {'key': 'win32Status', 'type': 'int'},
            'count': {'key': 'count', 'type': 'int'},
            'time_interval': {'key': 'timeInterval', 'type': 'str'},
        }

        def __init__(self, status=None, sub_status=None, win32_status=None, count=None, time_interval=None):
            self.status = status
            self.sub_status = sub_status
            self.win32_status = win32_status
            self.count = count
            self.time_interval = time_interval